
Core - Bug # 42158

Status: Resolved Priority: Should have
Author: Fritz Treber Category:
Created: 2012-10-19 Assigned To: Romain Leleu
Updated: 2015-07-17 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Menu/Sitemap for "recently updated pages" shows pages not yet published live
Description

Menu/Sitemap for "recently updated pages" in FE shows pages as changed, but they are not yet published live.
If I edited pages in workspace, the menu for recently updated pages shows in Frontend the page as recently updated. However, it has
not yet been published to Live, but it is signaled already as "recently updated". This leads to confusion by the users.

Related issues:
related to Core - Bug # 34219: Don't modify SYS_LASTCHANGED when changing som... Resolved 2012-02-24

Associated revisions
Revision 2b9d49be - 2015-06-30 18:33 - Romain Leleu

[BUGFIX] SYS_LASTCHANGED is only updated if page is viewed in live or no
workspace

The SYS_LASTCHANGED field was updated whenever which workspace was loaded,
leading to SYS_LASTCHANGED being updated while no content was
published yet.
This patch changes this behavior by updating SYS_LASTCHANGED only if
page is viewed from the live workspace or no workspace at all.

Resolves: #42158
Releases: master
Change-Id: I09aca547a7b22ba1699f521ea7609053991fed4c
Reviewed-on: http://review.typo3.org/40259
Reviewed-by: Jan Helke <typo3@helke.de>
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Reviewed-by: Frederic Gaus <frederic.gaus@flagbit.de>
Tested-by: Frederic Gaus <frederic.gaus@flagbit.de>
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Markus Klein <markus.klein@typo3.org>

History
#1 - 2015-01-12 19:27 - Mathias Schreiber
- Assigned To set to Benjamin Mack
- Target version set to 7.2 (Frontend)
- Is Regression set to No
Hey benni, mind to take a look?

#2 - 2015-06-15 16:24 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)
- Sprint Focus set to On Location Sprint

#3 - 2015-06-15 16:52 - Mathias Schreiber
- Status changed from New to In Progress

#4 - 2015-06-15 16:57 - Romain Leleu
- Assigned To changed from Benjamin Mack to Romain Leleu

#5 - 2015-06-15 18:34 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40259

#6 - 2015-06-15 18:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40259

#7 - 2015-06-15 18:40 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40259

#8 - 2015-06-30 18:34 - Romain Leleu
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b9d49be560adeec948cac639dd5eb6d34595f97.

#9 - 2015-07-17 15:45 - Mathias Schreiber
- Sprint Focus deleted (On Location Sprint)
